
Redmine - Defect #16177

Mercurial 2.9 compatibility

2014-02-26 08:12 - Candice Khor

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version: 2.4.4   

Resolution: Fixed Affected version: 2.4.3

Description

The following exception is thrown when I access my repository page. It seems to be a compatibility issue with Mercurial 2.9?

** Unknown exception encountered with possibly-broken third-party extension redminehelper

** which supports versions unknown of Mercurial.

** Please disable redminehelper and try your action again.

** If that fixes the bug please report it to the extension author.

** Python 2.7.6 (default, Nov 10 2013, 19:24:24) [MSC v.1500 64 bit (AMD64)]

** Mercurial Distributed SCM (version 2.9)

** Extensions loaded: redminehelper

Traceback (most recent call last):

  File "hg", line 42, in <module>

  File "mercurial\dispatch.pyo", line 28, in run

  File "mercurial\dispatch.pyo", line 69, in dispatch

  File "mercurial\dispatch.pyo", line 134, in _runcatch

  File "mercurial\dispatch.pyo", line 806, in _dispatch

  File "mercurial\dispatch.pyo", line 586, in runcommand

  File "mercurial\dispatch.pyo", line 897, in _runcommand

  File "mercurial\dispatch.pyo", line 868, in checkargs

  File "mercurial\dispatch.pyo", line 803, in <lambda>

  File "mercurial\util.pyo", line 511, in check

  File "___/redmine-2.4.3/lib/redmine/scm/adapters/mercurial/redminehelper.py", line 175, in rhsum

mary

    _branches(ui, repo)

  File "___/redmine-2.4.3/lib/redmine/scm/adapters/mercurial/redminehelper.py", line 89, in _branc

hes

    for t, n, r in sorted(iterbranches(), key=lambda e: e[2], reverse=True):

  File "___/redmine-2.4.3/lib/redmine/scm/adapters/mercurial/redminehelper.py", line 82, in iterbr

anches

    for t, n in repo.branchtags().iteritems():

  File "mercurial\repoview.pyo", line 199, in __getattr__

AttributeError: 'localrepository' object has no attribute 'branchtags'

 
Environment:

  Redmine version                2.4.3.stable

  Ruby version                   2.0.0-p353 (2013-11-22) [x64-mingw32]

  Rails version                  3.2.16

  Environment                    production

  Database adapter               PostgreSQL

SCM:

  Subversion                     1.8.5

  Mercurial                      2.9

  Git                            1.8.5.2

  Filesystem                     

Redmine plugins:

  no plugin installed

Associated revisions

Revision 12929 - 2014-02-26 12:27 - Toshi MARUYAMA

scm: mercurial: add one "closed" branch to test repository (#16177)
Revision 12930 - 2014-02-26 13:01 - Toshi MARUYAMA

Mercurial 2.9 compatibility (#16177)

Revision 12931 - 2014-02-26 14:01 - Toshi MARUYAMA

Merged r12929 from trunk to 2.5-stable (#16177)

scm: mercurial: add one "closed" branch to test repository.

Revision 12932 - 2014-02-26 14:02 - Toshi MARUYAMA

Merged r12930 from trunk to 2.5-stable (#16177)

Mercurial 2.9 compatibility.

Revision 12933 - 2014-02-26 14:05 - Toshi MARUYAMA

Merged r12929 from trunk to 2.4-stable (#16177)

scm: mercurial: add one "closed" branch to test repository.

Revision 12934 - 2014-02-26 14:06 - Toshi MARUYAMA

Merged r12930 from trunk to 2.4-stable (#16177)

Mercurial 2.9 compatibility.

Revision 12935 - 2014-02-26 17:28 - Toshi MARUYAMA

use Python getattr instead of hasattr (#16177)

Revision 12936 - 2014-02-26 17:53 - Toshi MARUYAMA

Merged r12935 from trunk to 2.5-stable (#16177)

use Python getattr instead of hasattr.

Revision 12937 - 2014-02-26 17:55 - Toshi MARUYAMA

Merged r12935 from trunk to 2.4-stable (#16177)

use Python getattr instead of hasattr.

History

#1 - 2014-02-26 08:54 - Toshi MARUYAMA

- Subject changed from redminehelper & Mercurial 2.9 to Mercurial 2.9 compatibility

repo.branchtags() was removed.

http://hg.intevation.org/mercurial/crew/rev/4274eda143cb

#2 - 2014-02-26 08:54 - Toshi MARUYAMA

- Target version set to 2.4.4

#3 - 2014-02-27 03:51 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Fixed

Fixed in 2.4-stable, 2.5-stable and trunk.
